Bug 59896 - FILEOPEN: very old DOC (Word 95) doesn't recognize bold and centric "headline"
Summary: FILEOPEN: very old DOC (Word 95) doesn't recognize bold and centric "headline"
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: Other All
: medium normal
Assignee: Caolán McNamara
QA Contact:
URL:
Whiteboard: target:5.3.0 target:5.2.1 target:5.1.5
Keywords: notBibisectable, regression
Depends on:
Blocks:
 
Reported: 2013-01-26 11:07 UTC by Dennis Roczek
Modified: 2016-10-25 18:38 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
ClarisWorks 5 Begin documentation with the described example (12.00 KB, application/msword)
2013-01-26 11:07 UTC, Dennis Roczek
Details
The readme of the installation folder (27.00 KB, application/msword)
2013-01-26 11:25 UTC, Dennis Roczek
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dennis Roczek 2013-01-26 11:07:21 UTC
Created attachment 73676 [details]
ClarisWorks 5 Begin documentation with the described example

The added file was created in September 1997 with MSO. Microsoft Word Viewer does show the first line ("Welcome to the ClarisWorks 5.0 CD for Windows!") with a bold text and centered.

There are more bold texts like "Begin Here" (but not the (\BEGIN.DOC))

MS Word Viewer says that this is a "Microsoft Word 6.0/95 Dokument".
Comment 1 Dennis Roczek 2013-01-26 11:25:50 UTC
Created attachment 73677 [details]
The readme of the installation folder

Adding another file where LO doesn't detect underlined text.

e.g.: "The Button Bar", "The Text Ruler", and "The Paste Function Dialog".

Moreover is the height of the headlines not recognized.
Comment 2 Urmas 2013-01-26 12:05:57 UTC
Confirming with master. Actually any kind of formatting is missing, it's just a plain text in 0th font of default size.
Comment 3 Urmas 2014-04-03 00:15:53 UTC Comment hidden (obsolete)
Comment 4 QA Administrators 2015-06-08 14:41:18 UTC Comment hidden (obsolete)
Comment 5 Dennis Roczek 2015-06-09 13:32:29 UTC
unchanged situation with LibO
Version: 4.4.3.2
Build-ID: 88805f81e9fe61362df02b9941de8e38a9b5fd16
Gebietsschema: de_DE
Comment 6 Timur 2015-06-10 08:17:05 UTC
Still present in 5.1+. Started with Lo 3.5. Regression. I think it's not bibisectable for version that old.
Comment 7 Robinson Tryon (qubit) 2015-12-10 01:26:17 UTC Comment hidden (obsolete)
Comment 8 Commit Notification 2016-07-22 09:58:43 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=99833c2d6c9882bfad17e3e7fb659f5a81184a3f

Resolves: tdf#59896 ww6 plcf generation reversed check

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2016-07-25 07:31:54 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7abafec87d4a53926c2e114827e50a29b246209a&h=libreoffice-5-2

Resolves: tdf#59896 ww6 plcf generation reversed check

It will be available in 5.2.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2016-07-26 15:26:26 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-1-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=dc436f0bc7e0cbfb27107a4e80eed5c60a2646da&h=libreoffice-5-1-5

Resolves: tdf#59896 ww6 plcf generation reversed check

It will be available in 5.1.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.